# `ngMousemove` (directive in module `ng` )

Improve this doc

## Description

Specify custom behavior on mousemove event.

## Usage

as attribute

    <ANY ng-mousemove="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-mousemove: {expression};">
       ...
    </ANY>

### Parameters

- `ngMousemove – {expression} –`

  Expression to evaluate upon mousemove. (Event object is available as `$event`)

## Example

See `ngClick`